SWIFT-TEMP-URL(1)

NAME
swift-temp-url - generates the query parameters for OpenStack Swift Temporary URL middleware

DESCRIPTION

Tool that generates the query parameters which can be used to access Swift objects directly from a browser by using the Temporary URL middleware. NOTE: This command is deprecated and will be removed in the future. Please use 'swift tempurl' instead.

SYNOPSIS
swift-temp-url method seconds path key

OPTIONS

method
    The method to allow; GET for example.

seconds
    The number of seconds from now to allow requests.

path
    The full path to the resource. Example: /v1/AUTH_account/c/o

key The X-Account-Meta-Temp-URL-Key for the account.

DOCUMENTATION

More in depth documentation in regards to swift-temp-url and also about OpenStack Swift as a whole can be found at http://swift.openstack.org/index.html and http://docs.openstack.org